import random, math
from constants import *

class package:
	def __init__(self, pickuppoint=None, droppoint=None, mass=None, strength=None, price=None):
			if pickuppoint != None:
				self.pickuppoint = pickuppoint
			else:
				self.pickuppoint = random.randint(halfwindowsize[0],worldsize*100 - halfwindowsize[0])
			
			if droppoint != None:
				self.droppoint = droppoint
			else:
				self.droppoint = random.randint(halfwindowsize[0],worldsize*100 - halfwindowsize[0])
			
			if mass != None:
				self.mass = mass
			else:
				self.mass = random.randint(minimumpackagemass, maximumpackagemass)
				
			if strength != None:
				self.strength = strength
			else:
				self.strength = random.randint(minimumpackagestrength, maximumpackagestrength)
			self.maxstrength = self.strength

			if price != None:
				self.price = price
			else:
				self.price = self.mass * abs(self.droppoint - self.pickuppoint) / (self.strength*100)
				
			self.state = 0	#0 = on ground, 1 = in air, 2 = delivered
			
			self.hasbeenairborne = False