import pygame
from constants import *

class input:
	def __init__(self):
		self.keys = {}
		self.keys["exit"] = False
		self.keys["up"] = False
		self.keys["left"] = False
		self.keys["right"] = False
		self.keys["escape"] = False
		self.keys["down"] = False
		self.keys["enter"] = False
		
	def input(self, events): 
		for event in events: 
			if event.type == QUIT: 
				self.keys["exit"] = True
			if event.type == KEYDOWN:
				if event.key == K_UP:
					self.keys["up"] = True
				if event.key == K_DOWN:
					self.keys["down"] = True
				if event.key == K_LEFT:
					self.keys["left"] = True
				if event.key == K_RIGHT:
					self.keys["right"] = True
				if event.key == K_ESCAPE:
					self.keys["escape"] = True
				if event.key == K_RETURN:
					self.keys["enter"] = True
			if event.type == KEYUP:
				if event.key == K_UP:
					self.keys["up"] = False
				if event.key == K_DOWN:
					self.keys["down"] = False
				if event.key == K_LEFT:
					self.keys["left"] = False
				if event.key == K_RIGHT:
					self.keys["right"] = False
				if event.key == K_RETURN:
					self.keys["enter"] = False

	def update(self):
		self.input(pygame.event.get())
		